Content-Security-Policy: default-src 'none'
Content-Type: text/plain; charset=UTF-8
Content-Length: 1581
Content-Disposition: inline; filename="modules.mk"
Last-Modified: Thu, 20 Feb 2025 20:02:12 GMT
Expires: Sun, 18 Feb 2035 20:02:12 GMT
ETag: "3ad454073aefcc18cde729eb067119bf65a65146"

#
# Copyright (C) 2010 OpenWrt.org
#
# This is free software, licensed under the GNU General Public License v2.
# See /LICENSE for more information.
#

define KernelPackage/ledtrig-adm5120-switch
  SUBMENU:=$(OTHER_MENU)
  TITLE:=LED ADM5120 Switch Port Status Trigger
  DEPENDS:=@TARGET_adm5120
  KCONFIG:=CONFIG_LEDS_TRIGGER_ADM5120_SWITCH
  FILES:=$(LINUX_DIR)/drivers/leds/ledtrig-adm5120-switch.ko
  AUTOLOAD:=$(call AutoLoad,50,ledtrig-adm5120-switch)
endef

define KernelPackage/ledtrig-adm5120-switch/description
 Kernel module to allow LEDs to be controlled by the port states
 of the ADM5120 built-in ethernet switch.
endef

$(eval $(call KernelPackage,ledtrig-adm5120-switch))


define KernelPackage/pata-rb153-cf
  SUBMENU:=$(BLOCK_MENU)
  TITLE:=RouterBOARD 153 CF Slot support
  DEPENDS:=@TARGET_adm5120_rb1xx
  KCONFIG:=CONFIG_PATA_RB153_CF
  FILES:=$(LINUX_DIR)/drivers/ata/pata_rb153_cf.ko
  AUTOLOAD:=$(call AutoLoad,30,pata_rb153_cf,1)
  $(call AddDepends/ata)
endef

define KernelPackage/pata-rb153-cf/description
  Kernel support for the RouterBoard 153 CF slot.
endef

$(eval $(call KernelPackage,pata-rb153-cf,1))


define KernelPackage/usb-adm5120
  SUBMENU:=$(USB_MENU)
  TITLE:=Support for the ADM5120 HCD controller
  DEPENDS:=@TARGET_adm5120
  KCONFIG:=CONFIG_USB_ADM5120_HCD
  FILES:=$(LINUX_DIR)/drivers/usb/host/adm5120-hcd.ko
  AUTOLOAD:=$(call AutoLoad,50,adm5120-hcd,1)
  $(call AddDepends/usb)
endef

define KernelPackage/usb-adm5120/description
 Kernel support for the ADM5120 HCD USB controller
endef

$(eval $(call KernelPackage,usb-adm5120))
<td class='sub right'>James</td></tr></table>
<table class='tabs'><tr><td>
<a href='/cgit.cgi/openwrt/upstream/about/?h=v22.03.0-rc1'>about</a><a href='/cgit.cgi/openwrt/upstream/?h=v22.03.0-rc1'>summary</a><a href='/cgit.cgi/openwrt/upstream/refs/?h=v22.03.0-rc1&amp;id=3e7524c184d147de6b0c8154c5c4f4019993922f'>refs</a><a href='/cgit.cgi/openwrt/upstream/log/target/Config.in?h=v22.03.0-rc1'>log</a><a class='active' href='/cgit.cgi/openwrt/upstream/tree/target/Config.in?h=v22.03.0-rc1&amp;id=3e7524c184d147de6b0c8154c5c4f4019993922f'>tree</a><a href='/cgit.cgi/openwrt/upstream/commit/target/Config.in?h=v22.03.0-rc1&amp;id=3e7524c184d147de6b0c8154c5c4f4019993922f'>commit</a><a href='/cgit.cgi/openwrt/upstream/diff/target/Config.in?h=v22.03.0-rc1&amp;id=3e7524c184d147de6b0c8154c5c4f4019993922f'>diff</a><a href='/cgit.cgi/openwrt/upstream/stats/target/Config.in?h=v22.03.0-rc1'>stats</a></td><td class='form'><form class='right' method='get' action='/cgit.cgi/openwrt/upstream/log/target/Config.in'>
<input type='hidden' name='h' value='v22.03.0-rc1'/><input type='hidden' name='id' value='3e7524c184d147de6b0c8154c5c4f4019993922f'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/cgit.cgi/openwrt/upstream/tree/?h=v22.03.0-rc1&amp;id=3e7524c184d147de6b0c8154c5c4f4019993922f'>root</a>/<a href='/cgit.cgi/openwrt/upstream/tree/target?h=v22.03.0-rc1&amp;id=3e7524c184d147de6b0c8154c5c4f4019993922f'>target</a>/<a href='/cgit.cgi/openwrt/upstream/tree/target/Config.in?h=v22.03.0-rc1&amp;id=3e7524c184d147de6b0c8154c5c4f4019993922f'>Config.in</a></div><div class='content'>blob: 9ff7096880141f04ddd0dde98d0c0b92ca30f138 (<a href='/cgit.cgi/openwrt/upstream/plain/target/Config.in?h=v22.03.0-rc1&amp;id=3e7524c184d147de6b0c8154c5c4f4019993922f'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
<a id='n54' href='#n54'>54</a>
<a id='n55' href='#n55'>55</a>
<a id='n56' href='#n56'>56</a>
<a id='n57' href='#n57'>57</a>
<a id='n58' href='#n58'>58</a>
<a id='n59' href='#n59'>59</a>
<a id='n60' href='#n60'>60</a>
<a id='n61' href='#n61'>61</a>
<a id='n62' href='#n62'>62</a>
<a id='n63' href='#n63'>63</a>
<a id='n64' href='#n64'>64</a>
<a id='n65' href='#n65'>65</a>
<a id='n66' href='#n66'>66</a>
<a id='n67' href='#n67'>67</a>
<a id='n68' href='#n68'>68</a>
<a id='n69' href='#n69'>69</a>
<a id='n70' href='#n70'>70</a>
<a id='n71' href='#n71'>71</a>
<a id='n72' href='#n72'>72</a>
<a id='n73' href='#n73'>73</a>
<a id='n74' href='#n74'>74</a>
<a id='n75' href='#n75'>75</a>
<a id='n76' href='#n76'>76</a>
<a id='n77' href='#n77'>77</a>
<a id='n78' href='#n78'>78</a>
<a id='n79' href='#n79'>79</a>
<a id='n80' href='#n80'>80</a>
<a id='n81' href='#n81'>81</a>
<a id='n82' href='#n82'>82</a>
<a id='n83' href='#n83'>83</a>
<a id='n84' href='#n84'>84</a>
<a id='n85' href='#n85'>85</a>
<a id='n86' href='#n86'>86</a>
<a id='n87' href='#n87'>87</a>
<a id='n88' href='#n88'>88</a>
<a id='n89' href='#n89'>89</a>
<a id='n90' href='#n90'>90</a>
<a id='n91' href='#n91'>91</a>
<a id='n92' href='#n92'>92</a>
<a id='n93' href='#n93'>93</a>
<a id='n94' href='#n94'>94</a>
<a id='n95' href='#n95'>95</a>
<a id='n96' href='#n96'>96</a>
<a id='n97' href='#n97'>97</a>
<a id='n98' href='#n98'>98</a>
<a id='n99' href='#n99'>99</a>
<a id='n100' href='#n100'>100</a>
<a id='n101' href='#n101'>101</a>
<a id='n102' href='#n102'>102</a>
<a id='n103' href='#n103'>103</a>
<a id='n104' href='#n104'>104</a>
<a id='n105' href='#n105'>105</a>
<a id='n106' href='#n106'>106</a>
<a id='n107' href='#n107'>107</a>
<a id='n108' href='#n108'>108</a>
<a id='n109' href='#n109'>109</a>
<a id='n110' href='#n110'>110</a>
<a id='n111' href='#n111'>111</a>
<a id='n112' href='#n112'>112</a>
<a id='n113' href='#n113'>113</a>
<a id='n114' href='#n114'>114</a>
<a id='n115' href='#n115'>115</a>
<a id='n116' href='#n116'>116</a>
<a id='n117' href='#n117'>117</a>
<a id='n118' href='#n118'>118</a>
<a id='n119' href='#n119'>119</a>
<a id='n120' href='#n120'>120</a>
<a id='n121' href='#n121'>121</a>
<a id='n122' href='#n122'>122</a>
<a id='n123' href='#n123'>123</a>
<a id='n124' href='#n124'>124</a>
<a id='n125' href='#n125'>125</a>
<a id='n126' href='#n126'>126</a>
<a id='n127' href='#n127'>127</a>
<a id='n128' href='#n128'>128</a>
<a id='n129' href='#n129'>129</a>
<a id='n130' href='#n130'>130</a>
<a id='n131' href='#n131'>131</a>
<a id='n132' href='#n132'>132</a>
<a id='n133' href='#n133'>133</a>
<a id='n134' href='#n134'>134</a>
<a id='n135' href='#n135'>135</a>
<a id='n136' href='#n136'>136</a>
<a id='n137' href='#n137'>137</a>
<a id='n138' href='#n138'>138</a>
<a id='n139' href='#n139'>139</a>
<a id='n140' href='#n140'>140</a>
<a id='n141' href='#n141'>141</a>
<a id='n142' href='#n142'>142</a>
<a id='n143' href='#n143'>143</a>
<a id='n144' href='#n144'>144</a>
<a id='n145' href='#n145'>145</a>
<a id='n146' href='#n146'>146</a>
<a id='n147' href='#n147'>147</a>
<a id='n148' href='#n148'>148</a>
<a id='n149' href='#n149'>149</a>
<a id='n150' href='#n150'>150</a>
<a id='n151' href='#n151'>151</a>
<a id='n152' href='#n152'>152</a>
<a id='n153' href='#n153'>153</a>
<a id='n154' href='#n154'>154</a>
<a id='n155' href='#n155'>155</a>
<a id='n156' href='#n156'>156</a>
<a id='n157' href='#n157'>157</a>
<a id='n158' href='#n158'>158</a>
<a id='n159' href='#n159'>159</a>
<a id='n160' href='#n160'>160</a>
<a id='n161' href='#n161'>161</a>
<a id='n162' href='#n162'>162</a>
<a id='n163' href='#n163'>163</a>
<a id='n164' href='#n164'>164</a>
<a id='n165' href='#n165'>165</a>
<a id='n166' href='#n166'>166</a>
<a id='n167' href='#n167'>167</a>
<a id='n168' href='#n168'>168</a>
<a id='n169' href='#n169'>169</a>
<a id='n170' href='#n170'>170</a>
<a id='n171' href='#n171'>171</a>
<a id='n172' href='#n172'>172</a>
<a id='n173' href='#n173'>173</a>
<a id='n174' href='#n174'>174</a>
<a id='n175' href='#n175'>175</a>
<a id='n176' href='#n176'>176</a>
<a id='n177' href='#n177'>177</a>
<a id='n178' href='#n178'>178</a>
<a id='n179' href='#n179'>179</a>
<a id='n180' href='#n180'>180</a>
<a id='n181' href='#n181'>181</a>
<a id='n182' href='#n182'>182</a>
<a id='n183' href='#n183'>183</a>
<a id='n184' href='#n184'>184</a>
<a id='n185' href='#n185'>185</a>
<a id='n186' href='#n186'>186</a>
<a id='n187' href='#n187'>187</a>
<a id='n188' href='#n188'>188</a>
<a id='n189' href='#n189'>189</a>
<a id='n190' href='#n190'>190</a>
<a id='n191' href='#n191'>191</a>
<a id='n192' href='#n192'>192</a>
<a id='n193' href='#n193'>193</a>
<a id='n194' href='#n194'>194</a>
<a id='n195' href='#n195'>195</a>
<a id='n196' href='#n196'>196</a>
<a id='n197' href='#n197'>197</a>
<a id='n198' href='#n198'>198</a>
<a id='n199' href='#n199'>199</a>
<a id='n200' href='#n200'>200</a>
<a id='n201' href='#n201'>201</a>
<a id='n202' href='#n202'>202</a>
<a id='n203' href='#n203'>203</a>
<a id='n204' href='#n204'>204</a>
<a id='n205' href='#n205'>205</a>
<a id='n206' href='#n206'>206</a>
<a id='n207' href='#n207'>207</a>
</pre></td>
<td class='lines'><pre><code><style>pre { line-height: 125%; margin: 0; }
td.linenos pre { color: #000000; background-color: #f0f0f0; padding: 0 5px 0 5px; }
span.linenos { color: #000000; background-color: #f0f0f0; padding: 0 5px 0 5px; }
td.linenos pre.special { color: #000000; background-color: #ffffc0; padding: 0 5px 0 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding: 0 5px 0 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight { background: #ffffff; }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span><span class="k">source</span> <span class="s2">&quot;tmp/.config-target.in&quot;</span>

<span class="c1"># Kernel/Hardware features</span>

<span class="k">config</span> HAS_SPE_FPU
	<span class="k">depends on</span> powerpc
	<span class="k">select</span> HAS_FPU
	<span class="nb">bool</span>

<span class="k">config</span> HAS_FPU
	<span class="nb">bool</span>

<span class="k">config</span> AUDIO_SUPPORT
	<span class="nb">bool</span>

<span class="k">config</span> GPIO_SUPPORT
	<span class="nb">bool</span>

<span class="k">config</span> PCI_SUPPORT
	<span class="k">select</span> AUDIO_SUPPORT
	<span class="nb">bool</span>

<span class="k">config</span> PCIE_SUPPORT
	<span class="nb">bool</span>

<span class="k">config</span> PCMCIA_SUPPORT
	<span class="nb">bool</span>

<span class="k">config</span> USB_SUPPORT
	<span class="k">select</span> AUDIO_SUPPORT
	<span class="nb">bool</span>

<span class="k">config</span> USB_GADGET_SUPPORT
	<span class="nb">bool</span>

<span class="k">config</span> RTC_SUPPORT
	<span class="nb">bool</span>

<span class="k">config</span> BIG_ENDIAN
	<span class="nb">bool</span>

<span class="k">config</span> USES_DEVICETREE
	<span class="nb">bool</span>

<span class="k">config</span> USES_INITRAMFS
	<span class="nb">bool</span>

<span class="k">config</span> USES_SQUASHFS
	<span class="nb">bool</span>

<span class="k">config</span> USES_JFFS2
	<span class="nb">bool</span>

<span class="k">config</span> USES_JFFS2_NAND
	<span class="nb">bool</span>

<span class="k">config</span> USES_EXT4
	<span class="nb">bool</span>

<span class="k">config</span> USES_TARGZ
	<span class="nb">bool</span>

<span class="k">config</span> USES_CPIOGZ
	<span class="nb">bool</span>

<span class="k">config</span> USES_MINOR
	<span class="nb">bool</span>

<span class="k">config</span> USES_UBIFS
	<span class="nb">bool</span>
	<span class="k">select</span> NAND_SUPPORT

<span class="k">config</span> LOW_MEMORY_FOOTPRINT
	<span class="nb">bool</span>

<span class="k">config</span> SMALL_FLASH
	<span class="nb">bool</span>

<span class="k">config</span> NOMMU
	<span class="nb">bool</span>

<span class="k">config</span> HAS_MIPS16
	<span class="k">depends on</span> <span class="p">(</span>mips <span class="o">||</span> mipsel <span class="o">||</span> mips64 <span class="o">||</span> mips64el)
	<span class="nb">bool</span>

<span class="k">config</span> RFKILL_SUPPORT
	<span class="nb">bool</span>

<span class="k">config</span> NAND_SUPPORT
	<span class="nb">bool</span>

<span class="k">config</span> ARCH_64BIT
	<span class="nb">bool</span>

<span class="k">config</span> VIRTIO_SUPPORT
	<span class="nb">bool</span>

<span class="c1"># Architecture selection</span>

<span class="k">config</span> aarch64
	<span class="k">select</span> ARCH_64BIT
	<span class="nb">bool</span>

<span class="k">config</span> aarch64_be
	<span class="k">select</span> ARCH_64BIT
	<span class="k">select</span> BIG_ENDIAN
	<span class="nb">bool</span>

<span class="k">config</span> arc
	<span class="nb">bool</span>

<span class="k">config</span> arceb
	<span class="k">select</span> BIG_ENDIAN
	<span class="nb">bool</span>

<span class="k">config</span> arm
	<span class="nb">bool</span>

<span class="k">config</span> armeb
	<span class="k">select</span> BIG_ENDIAN
	<span class="nb">bool</span>

<span class="k">config</span> arm_v6
	<span class="nb">bool</span>

<span class="k">config</span> arm_v7
	<span class="nb">bool</span>

<span class="k">config</span> i386
	<span class="nb">bool</span>

<span class="k">config</span> i686
	<span class="nb">bool</span> 

<span class="k">config</span> m68k
	<span class="nb">bool</span>

<span class="k">config</span> mips
	<span class="k">select</span> BIG_ENDIAN
	<span class="nb">bool</span>

<span class="k">config</span> mipsel
	<span class="nb">bool</span>

<span class="k">config</span> mips64
	<span class="k">select</span> BIG_ENDIAN
	<span class="k">select</span> ARCH_64BIT
	<span class="nb">bool</span>

<span class="k">config</span> mips64el
	<span class="k">select</span> ARCH_64BIT
	<span class="nb">bool</span>

<span class="k">config</span> powerpc
	<span class="k">select</span> BIG_ENDIAN
	<span class="nb">bool</span>

<span class="k">config</span> powerpc64
	<span class="k">select</span> BIG_ENDIAN
	<span class="k">select</span> ARCH_64BIT
	<span class="nb">bool</span>

<span class="k">config</span> sh3
	<span class="nb">bool</span>

<span class="k">config</span> sh3eb
	<span class="k">select</span> BIG_ENDIAN
	<span class="nb">bool</span>

<span class="k">config</span> sh4
	<span class="nb">bool</span>

<span class="k">config</span> sh4eb
	<span class="k">select</span> BIG_ENDIAN
	<span class="nb">bool</span>

<span class="k">config</span> sparc
	<span class="k">select</span> BIG_ENDIAN
	<span class="nb">bool</span>

<span class="k">config</span> x86_64
	<span class="k">select</span> ARCH_64BIT
	<span class="nb">bool</span>

<span class="k">config</span> ARCH
	<span class="nb">string</span>
	<span class="k">default</span> <span class="s2">&quot;aarch64&quot;</span>   <span class="k">if</span> aarch64
	<span class="k">default</span> <span class="s2">&quot;aarch64_be&quot;</span> <span class="k">if</span> aarch64_be
	<span class="k">default</span> <span class="s2">&quot;arc&quot;</span>       <span class="k">if</span> arc
	<span class="k">default</span> <span class="s2">&quot;arceb&quot;</span>     <span class="k">if</span> arceb
	<span class="k">default</span> <span class="s2">&quot;arm&quot;</span>       <span class="k">if</span> arm
	<span class="k">default</span> <span class="s2">&quot;armeb&quot;</span>     <span class="k">if</span> armeb
	<span class="k">default</span> <span class="s2">&quot;i386&quot;</span>      <span class="k">if</span> i386
	<span class="k">default</span> <span class="s2">&quot;i686&quot;</span>      <span class="k">if</span> i686
	<span class="k">default</span> <span class="s2">&quot;m68k&quot;</span>      <span class="k">if</span> m68k
	<span class="k">default</span> <span class="s2">&quot;mips&quot;</span>      <span class="k">if</span> mips
	<span class="k">default</span> <span class="s2">&quot;mipsel&quot;</span>    <span class="k">if</span> mipsel
	<span class="k">default</span> <span class="s2">&quot;mips64&quot;</span>    <span class="k">if</span> mips64
	<span class="k">default</span> <span class="s2">&quot;mips64el&quot;</span>  <span class="k">if</span> mips64el
	<span class="k">default</span> <span class="s2">&quot;powerpc&quot;</span>   <span class="k">if</span> powerpc
	<span class="k">default</span> <span class="s2">&quot;sh3&quot;</span>       <span class="k">if</span> sh3
	<span class="k">default</span> <span class="s2">&quot;sh3eb&quot;</span>     <span class="k">if</span> sh3eb
	<span class="k">default</span> <span class="s2">&quot;sh4&quot;</span>       <span class="k">if</span> sh4
	<span class="k">default</span> <span class="s2">&quot;sh4eb&quot;</span>     <span class="k">if</span> sh4eb
	<span class="k">default</span> <span class="s2">&quot;sparc&quot;</span>     <span class="k">if</span> sparc
	<span class="k">default</span> <span class="s2">&quot;x86_64&quot;</span>    <span class="k">if</span> x86_64
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.25.1</a>) at 2025-02-20 20:02:12 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
